Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver
Interface PublicationShim

    public interface PublicationShim

The `PublicationShim` interface defines the method by which the Identity Manager Engine passes control to an application shim so that the shim can publish application events to Identity Manager.

Method Summary
`XmlDocument` | `init(XmlDocument initParameters)` The `init` method is called to allow the shim to perform any publisher-channel-specific initialization needed.
`XmlDocument` | `start(XmlCommandProcessor execute)` The `start` method is called by the Identity Manager Engine to allow the shim to publish data events to Identity Manager.

Method Detail

### init

    XmlDocument init(XmlDocument initParameters)

  The `init` method is called to allow the shim to perform any publisher-channel-specific initialization needed. It will be called before the first invocation of `execute`.

  User-specified parameter values are passed in the `initParameters` document. See the Identity Manager SDK for information on the document format.

  The return from `init` is an XDS output document containing a <status> element indicating the result of initialization. A `null` return is allowed and is interpreted as success. A <status> element with a `level="error"` or `level="fatal"` XML attribute will cause the Engine to abort the shim initialization.

  Parameters:
    `initParameters` - an XML document that contains the publisher initialization parameters.
  Returns:
    `null` or an XML document indicating the result of the initialization operation

### start

    XmlDocument start(XmlCommandProcessor execute)

  The `start` method is called by the Identity Manager Engine to allow the shim to publish data events to Identity Manager.

  The `execute` parameter is the interface through which the shim reports events. Information on the format of the events reported is found in the Identity Manager SDK.

  The `start` method should only return when instructed to by a call to `DriverShim.shutdown` or in response to a non-recoverable, fatal error in the shim. If the shim returns from start before being instructed to do so it is considered a fatal error and the shim will be shut down.

  Parameters:
    `execute` - an implementation of `XmlCommandProcessor` that is invoked to publish data events to Identity Manager. The `execute` interface must only be invoked by the thread on which start is called.
  Returns:
    an XML document containing any status to be reported
  See Also:
    `DriverShim.shutdown(com.novell.nds.dirxml.driver.XmlDocument)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD